Crazy Eddies GUI System: CEGUI::XMLHandler Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CEGUI::XMLHandler Class Reference

Inherited by CEGUI::ChainedXMLHandler, CEGUI::Config_xmlHandler, CEGUI::Font_xmlHandler, CEGUI::GUILayout_xmlHandler, CEGUI::Imageset_xmlHandler, and CEGUI::Scheme_xmlHandler.

List of all members.

## Public Member Functions
| XMLHandler (void)
| XMLHandler base class constructor.
virtual | ~XMLHandler (void)
| XMLHandler base class destructor.
virtual void | elementStart (const String &element, const XMLAttributes &attributes)
| Method called to notify the handler at the start of each XML element encountered.
virtual void | elementEnd (const String &element)
| Method called to notify the handler at the end of each XML element encountered.
virtual void | text (const String &text)
| Method called to notify text node, several successiv text node are agregated.

## Member Function Documentation

virtual void CEGUI::XMLHandler::elementEnd | ( | const String & | element | ) | `[virtual]`

Method called to notify the handler at the end of each XML element encountered.

Parameters:

  element | String object holding the name of the element that is ending.

Returns:
  Nothing.

Reimplemented in CEGUI::ChainedXMLHandler, CEGUI::Config_xmlHandler, CEGUI::Font_xmlHandler, CEGUI::GUILayout_xmlHandler, CEGUI::Imageset_xmlHandler, and CEGUI::Scheme_xmlHandler.

virtual void CEGUI::XMLHandler::elementStart | ( | const String & | element,
|  | const XMLAttributes & | attributes
| ) |  | `[virtual]`

Method called to notify the handler at the start of each XML element encountered.

Parameters:

  element | String object holding the name of the element that is starting.
  attributes | An XMLAttributes object holding the collection of attributes specified for the element.

Returns:
  Nothing.

Reimplemented in CEGUI::ChainedXMLHandler, CEGUI::Config_xmlHandler, CEGUI::Font_xmlHandler, CEGUI::GUILayout_xmlHandler, CEGUI::Imageset_xmlHandler, and CEGUI::Scheme_xmlHandler.

virtual void CEGUI::XMLHandler::text | ( | const String & | text | ) | `[virtual]`

Method called to notify text node, several successiv text node are agregated.

Parameters:

  text | String object holding the content of the text node.

Returns:
  Nothing.

Reimplemented in CEGUI::GUILayout_xmlHandler.